{
  "name": "sampo-ui",
  "repository": {
    "type": "git",
    "url": "https://github.com/SemanticComputing/sampo-ui"
  },
  "license": "MIT",
  "author": "Esko Ikkala <esko.ikkala@aalto.fi>",
  "contributors": [
    "Erkki Heino",
    "Heikki Rantala"
  ],
  "scripts": {
    "build": "npm run build-client && npm run build-server",
    "build-client": "cross-env BABEL_ENV=browser webpack --progress --config webpack.client.prod.js",
    "build-server": "cross-env BABEL_ENV=node babel src/server --out-dir ./dist/server --copy-files",
    "client": "cross-env BABEL_ENV=browser webpack serve --config webpack.client.dev.js",
    "dev": "concurrently --prefix none --kill-others \"npm run server\" \"npm run client\"",
    "server": "cross-env BABEL_ENV=node NODE_ENV=development nodemon -r dotenv/config src/server/index.js --exec babel-node",
    "utils": "cross-env BABEL_ENV=node NODE_ENV=development nodemon -r dotenv/config src/server/sparql/Utils.js --exec babel-node",
    "sitemap": "cross-env BABEL_ENV=node babel-node src/server/sitemap_generator/SitemapGenerator.js",
    "translate": "cross-env BABEL_ENV=node babel-node src/server/translations_generator/index.js"
  },
  "dependencies": {
    "@amcharts/amcharts5": "^5.1.3",
    "@babel/runtime": "^7.15.4",
    "@date-io/moment": "^1.3.11",
    "@emotion/react": "^11.8.2",
    "@emotion/styled": "^11.8.1",
    "@fontsource/roboto": "^4.5.8",
    "@mui/icons-material": "^5.5.1",
    "@mui/lab": "^5.0.0-alpha.73",
    "@mui/material": "^5.5.1",
    "@mui/styles": "^5.5.1",
    "@nosferatu500/react-sortable-tree": "^3.0.5",
    "@turf/buffer": "^6.3.0",
    "apexcharts": "^3.33.0",
    "axios": "^0.25.0",
    "buffer": "^6.0.3",
    "cytoscape": "^3.12.1",
    "cytoscape-panzoom": "^2.5.3",
    "date-fns": "^2.19.0",
    "deck.gl": "^8.6.0",
    "dompurify": "^3.0.3",
    "express": "^4.18.2",
    "express-openapi-validator": "^4.13.2",
    "express-static-gzip": "^2.1.1",
    "flat": "^5.0.2",
    "html-react-parser": "^1.4.4",
    "immutable": "^4.0.0-rc.12",
    "js-yaml": "^3.13.1",
    "leaflet": "^1.7.1",
    "leaflet-draw": "^1.0.4",
    "leaflet-fullscreen": "^1.0.2",
    "leaflet-usermarker": "git+https://github.com/SemanticComputing/leaflet-usermarker.git#0ddacd0",
    "leaflet.control.opacity": "^1.3.0",
    "Leaflet.extra-markers": "git+https://github.com/SemanticComputing/Leaflet.ExtraMarkers.git#7b71451",
    "leaflet.locatecontrol": "^0.73.0",
    "leaflet.markercluster": "^1.4.1",
    "leaflet.zoominfo": "git+https://github.com/SemanticComputing/Leaflet.zoominfo.git#1782c96",
    "lodash": "^4.17.21",
    "mapbox-gl-leaflet": "0.0.15",
    "moment": "^2.29.2",
    "moment-range": "^4.0.2",
    "process": "^0.11.10",
    "react": "^17.0.2",
    "react-csv": "^2.0.3",
    "react-dom": "^17.0.2",
    "react-html-parser": "^2.0.2",
    "react-intl-universal": "^2.4.8",
    "react-map-gl": "^6.1.0",
    "react-redux": "^7.2.0",
    "react-redux-toastr": "^7.4.1",
    "react-router-dom": "^5.3.0",
    "react-sortable-tree-theme-file-explorer": "git+https://github.com/SemanticComputing/react-sortable-tree-theme-file-explorer.git#e60a5a73b4c5892b1dcd598a27a72bd3ebbd5e96",
    "react-virtualized": "^9.22.3",
    "react-wordcloud": "^1.2.7",
    "redux": "^4.1.2",
    "redux-observable": "^2.0.0",
    "reselect": "^4.0.0",
    "rxjs": "^7.2.0",
    "simple-react-lightbox": "^3.6.9-0",
    "simple-statistics": "^7.7.0",
    "swagger-ui-express": "^4.1.6"
  },
  "devDependencies": {
    "@babel/cli": "^7.16.0",
    "@babel/core": "^7.15.5",
    "@babel/eslint-parser": "^7.15.4",
    "@babel/node": "^7.15.4",
    "@babel/plugin-transform-runtime": "^7.15.0",
    "@babel/preset-env": "^7.15.4",
    "@babel/preset-react": "^7.14.5",
    "@fortawesome/fontawesome-svg-core": "^1.2.34",
    "@fortawesome/free-solid-svg-icons": "^5.15.2",
    "babel-loader": "^8.2.2",
    "clean-webpack-plugin": "^3.0.0",
    "compression-webpack-plugin": "^7.1.2",
    "concurrently": "^6.3.0",
    "copy-webpack-plugin": "^7.0.0",
    "cross-env": "^7.0.0",
    "css-loader": "^5.0.1",
    "dotenv": "^10.0.0",
    "file-loader": "^6.2.0",
    "googleapis": "^71.0.0",
    "html-webpack-plugin": "^5.3.1",
    "sass": "^1.43.4",
    "sass-loader": "^10.2.0",
    "sitemap": "^6.3.5",
    "standard": "^16.0.4",
    "style-loader": "^2.0.0",
    "webpack": "^5.64.4",
    "webpack-cli": "^4.8.0",
    "webpack-dev-server": "^4.6.0",
    "webpack-merge": "^5.7.3"
  },
  "standard": {
    "parser": "@babel/eslint-parser"
  },
  "optionalDependencies": {
    "fsevents": "^2.3.2"
  }
}
